
// ref: https://umijs.org/config/
export default {
  treeShaking: true,
  routes: [
    {
      path: '/',
      component: '../layouts/index',
      routes: [
        { path: '/', component: '../pages/Home' },
        // { path: '/detail', component: '../pages/Detail' },
        { path: '/transferOut', component: '../pages/TransferOut' },
        { path: '/record', component: '../pages/Record' },
        { path: '/recharge', component: '../pages/Recharge' }
      ]
    }
  ],
  plugins: [
    // ref: https://umijs.org/plugin/umi-plugin-react.html
    ['umi-plugin-react', {
      antd: false,
      dva: true,
      dynamicImport: false,
      dll: false,
      hd: true,
      routes: {
        exclude: [
          /models\//,
          /services\//,
          /model\.(t|j)sx?$/,
          /service\.(t|j)sx?$/,
          /components\//,
        ],
      },
    }],
  ],
  lessLoaderOptions: {
    javascriptEnabled: true,
  },
  extraBabelPlugins: [
    ["import", { libraryName: "antd-mobile", style: true }] // `style: true` 会加载 less 文件
  ],
  proxy: {
    '/api-app': {
      target: 'http://api.starbuds.laylib.com',
      changeOrigin: true,
      //pathRewrite: { '^/server': '' },
    },
    '/api-common': {
      target: 'http://api.starbuds.laylib.com',
      changeOrigin: true,
      //pathRewrite: { '^/server': '' },
    },
  },
  hash: true,
  outputPath: './wallet'
}
