import React from 'react'
import styles from './MyList.less'

class MyList extends React.Component {
  constructor(props) {
    super(props)
    this.state = {

    }
  }

  componentDidMount() {
    this.listRef.addEventListener('scroll', this.bindScroll)
  }

  componentWillUnmount() {
    // 移除滚动监听
    if (this.listRef) {
      this.listRef.removeEventListener('scroll', this.bindScroll);
    }
  }

  bindScroll = (event) => {
    console.log(this.listRef.scrollHeight, this.listRef.scrollTop, this.listRef.clientHeight)
    // 滚动的高度
    const scrollTop = this.listRef.scrollTop
    // 视窗高度
    const clientHeight = this.listRef.clientHeight
    // 页面高度
    const scrollHeight = this.listRef.scrollHeight
    // 距离页面底部的高度
    const height = scrollHeight - scrollTop - clientHeight;
    // 判断距离页面底部的高度 
    if (height <= 500) {
      console.log('触底')
      if (this.state.hasNext) {
        //this.getPropsList(this.state.pagination.pageIndex + 1)   //加载下一页
      }
    }
  }

  render() {

    return(
      <div className={styles.list} ref={ref => this.listRef = ref}>
        {this.props.children}
      </div>
    )
  }
}

export default MyList