import React, { Fragment } from 'react'
import { Toast } from 'antd-mobile';
import router from 'umi/router'
// import NativeHook from '@/utils/NativeHook'
import styles from './Recharge.less'
import { copyText } from '@/utils/base'

class Recharge extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
      coinInfo: {},
      copying: false
    }
  }

  componentDidMount() {
    // NativeHook.init()
    document.title = '充值'
    const coinInfo = window.sessionStorage.coinInfo ? JSON.parse(window.sessionStorage.coinInfo) : {}
    this.setState({ coinInfo })
  }

  // 复制
  onCopy = e => {
    e.preventDefault()
    const { coinInfo } = this.state
    this.setState({ copying: true })
    copyText(coinInfo.accountAddress, () => {
      Toast.info('复制成功', 1.5)
      this.timer = setTimeout(() => {
        this.setState({ copying: false })
        clearTimeout(this.timer)
      }, 1500)
    })
  }

  componentWillUnmount () {
    // NativeHook.destroy()
    clearTimeout(this.timer)
  }

  // 充值记录 
  goRecord = (e) => {
    e.preventDefault()
    router.push('/record?transType=1')
  }

  render() {
    const { coinInfo, copying } = this.state
    return(
      <div className={styles['wrap']}>
        <div className={styles['title-wrap']}>
          <div className={styles['title-left']}>
            <h3>钱包地址</h3> 
            <a href="#" onClick={this.goRecord}>充值记录</a>
          </div>
          <a 
            href="#" 
            onClick={copying ? null : this.onCopy} 
            style={{color: copying ? '#333333' : '#FF4D5C'}}
          >复制地址</a>
        </div>
        <div className={styles['address']}>
          {coinInfo.accountAddress}
        </div>

        <dl className={styles['explain']}>
          <dt>充值说明</dt>
          <dd>1、充值请按照充值规范操作；</dd>
          <dd>2、请妥善保存好自己的虚拟币充值地址，以免发生意外；</dd>
          <dd>3、如因地址泄露发生的意外情况，本公司概不负责，请自行处理；</dd>
          <dd>4、其他未说明事宜，以公司条例为准；</dd>
          <dd>5、如有其他疑问，请联系客服；</dd>
          <dd>6、最终解释权归本公司所有。</dd>
        </dl>
      </div>
    )
  }
}

export default Recharge

